Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Friends
tlp::IntegerProperty Class Reference
Properties

`#include <IntegerProperty.h>`

Inheritance diagram for tlp::IntegerProperty:
[legend]
Collaboration diagram for tlp::IntegerProperty:
[legend]

List of all members.

## Public Member Functions

- IntegerProperty (Graph *, std::string n="")
- IntegerType::RealType getNodeMin (Graph *sg=NULL)
- IntegerType::RealType getNodeMax (Graph *sg=NULL)
- IntegerType::RealType getEdgeMin (Graph *sg=NULL)
- IntegerType::RealType getEdgeMax (Graph *sg=NULL)
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const
- virtual void setNodeValue (const node n, const int &v)
- virtual void setEdgeValue (const edge e, const int &v)
- virtual void setAllNodeValue (const int &v)
- virtual void setAllEdgeValue (const int &v)
- int compare (const node n1, const node n2) const
    Specific implementation of AbstractProperty::compare(node n1,node n2)
- int compare (const edge e1, const edge e2) const
    Specific implementation of AbstractProperty::compare(edge e1,edge e2)

## Static Public Attributes

- static const std::string propertyTypename

## Protected Member Functions

- virtual void clone_handler (AbstractProperty< IntegerType, IntegerType, IntegerAlgorithm > &)

## Friends

- class IntegerAlgorithm

## Constructor & Destructor Documentation

tlp::IntegerProperty::IntegerProperty | ( | Graph * | ,
|  | std::string | n = `""`
| ) |  |

## Member Function Documentation

virtual void tlp::IntegerProperty::clone_handler | ( | AbstractProperty< IntegerType, IntegerType, IntegerAlgorithm > & |  | ) | `[protected, virtual]`

PropertyInterface* tlp::IntegerProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

int tlp::IntegerProperty::compare | ( | const node | n1,
|  | const node | n2
| ) |  | const`[virtual]`

Specific implementation of AbstractProperty::compare(node n1,node n2)

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

int tlp::IntegerProperty::compare | ( | const edge | e1,
|  | const edge | e2
| ) |  | const`[virtual]`

Specific implementation of AbstractProperty::compare(edge e1,edge e2)

Reimplemented from tlp::AbstractProperty< Tnode, Tedge, TPROPERTY >.

IntegerType::RealType tlp::IntegerProperty::getEdgeMax | ( | Graph * | sg = `NULL` | ) |

IntegerType::RealType tlp::IntegerProperty::getEdgeMin | ( | Graph * | sg = `NULL` | ) |

IntegerType::RealType tlp::IntegerProperty::getNodeMax | ( | Graph * | sg = `NULL` | ) |

IntegerType::RealType tlp::IntegerProperty::getNodeMin | ( | Graph * | sg = `NULL` | ) |

std::string tlp::IntegerProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

virtual void tlp::IntegerProperty::setAllEdgeValue | ( | const int & | v | ) | `[virtual]`

virtual void tlp::IntegerProperty::setAllNodeValue | ( | const int & | v | ) | `[virtual]`

virtual void tlp::IntegerProperty::setEdgeValue | ( | const edge | e,
|  | const int & | v
| ) |  | `[virtual]`

virtual void tlp::IntegerProperty::setNodeValue | ( | const node | n,
|  | const int & | v
| ) |  | `[virtual]`

## Friends And Related Function Documentation

friend class IntegerAlgorithm`[friend]`

## Member Data Documentation

const std::string tlp::IntegerProperty::propertyTypename`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012